# MatImaginaryPart

Moves the imaginary part of the matrix to the real part and zeros the imaginary part

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatImaginaryPart(Mat mat)

Collective on Mat

### Input Parameters

mat -the matrix

### See Also

MatRealPart()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages